/**
 * @file ADC.h
 * @author Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 2/16/2015\n Created: 11/12/2014 7:36:35 PM
 * @brief This is the header file for the code that controls the ADC on the ATMega328P.
 */ 

#ifndef ADC_H_
#define ADC_H_

#include <stdint.h>

void ADC_Setup_Pin(unsigned char ADC_Pin);
int16_t ADC_Read_Pin(void);
float ADC_Convert_To_Voltage(int16_t ADC_Value);

#endif /* ADC_H_ */