/**
 * @file CLS15.h
 * @author Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 1/27/2015\n Created: 12/2/2014 4:32:25 PM
 * @brief This is the header file for the photodiode reading code.
 */ 

#ifndef CLS15_H_
#define CLS15_H_

void CLS15_Update_Photodiode_Values(uint8_t Current_LED);
uint16_t CLS15_Retrieve_Photodiode_ADC_Front(void);
uint16_t CLS15_Retrieve_Photodiode_ADC_Right_Front(void);
uint16_t CLS15_Retrieve_Photodiode_ADC_Right_Rear(void);
uint16_t CLS15_Retrieve_Photodiode_ADC_Left_Front(void);
uint16_t CLS15_Retrieve_Photodiode_ADC_Left_Rear(void);
uint16_t CLS15_Retrieve_Photodiode_ADC_Rear(void);
float CLS15_Retrieve_Photodiode_Ratio_Right(void);
float CLS15_Retrieve_Photodiode_Ratio_Left(void);
void CLS15_Update_Photodiode_Offset(void);

#endif /* CLS15_H_ */