/**
 * @file Main_Program.c
 * @author Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 3/20/2015\n Created: 2/28/2015 5:50:34 PM
 * @brief This file is code for the main program.
 */

#include "Algorithms/State_Machine/State_Machine.h"

/**
 * @brief This is the main program for the project.
 */ 
void Main_Program(void)
{
    while(1)
    {
        /* Check to see if the state machine needs to be updated. */
        State_Machine_Update();
    }
}